为值么rpm命令不能用?

为当前最终发行版之前的所有版本提供支持
回复
shily221
帖子: 1
注册时间: 2006-09-19 23:49
送出感谢: 0
接收感谢: 0

为值么rpm命令不能用?

#1

帖子 shily221 » 2006-09-26 16:47

是不是UBUNTU中没有rpm 命令啊,为什么我用这个命令的时候,说找不到。请高手指教啊。如下:
liupengke@lpk:~$ rpm -qa
bash: rpm: command not found
steven820218
帖子: 23
注册时间: 2006-06-29 16:39
送出感谢: 0
接收感谢: 0

#2

帖子 steven820218 » 2006-09-26 16:57

ubuntu不能直接装*.rpm的包文件,先要用alien命令把*.rpm转化成*.deb的文件,然后用dpkg命令装*.deb文件。

sudo alien *.rpm
sudo dpkg -i *.deb
头像
jaguar00
帖子: 227
注册时间: 2005-10-19 23:48
来自: 大山丛林
送出感谢: 0
接收感谢: 0

#3

帖子 jaguar00 » 2006-09-26 16:59

以前试验过安装一个rpm然后rpm的安装包就可以用了
你在新立得里面search 一下rpm。

楼上的办法比这个好。
图片It is no use doing what you like; you have got to like what you do!
头像
choukuangjay
帖子: 274
注册时间: 2006-01-17 14:39
来自: Nanking
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 choukuangjay » 2006-09-26 21:41

apt-get install rpm
然后在/var/........裡面建个什么目录的就行了,具体的目录名你用rpm安装任意一个*.rpm的的包,然后看出错提示,上面有那个目录的名字和位置。
ID:死乘把口, Matrix Chou
寨本网 山寨笔记本大本营
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 karron » 2006-09-26 22:13

有什么软件一定要用rpm来安装的?
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
nobrain
帖子: 808
注册时间: 2005-08-25 13:58
来自: ustc
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 nobrain » 2006-09-27 10:17

用alien装rpm包
爱喝真猪奶茶的夜鸣猪
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#7

帖子 zhuqin_83 » 2006-09-27 11:24

有些rpm转不过来的,有依赖问题。不要轻易用alien。
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
回复

回到 “老旧版本支持”